<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>net.ihe.gazelle</groupId>
        <artifactId>external-library</artifactId>
        <version>1.1-SNAPSHOT</version>
    </parent>

    <groupId>net.ihe.gazelle.library</groupId>
    <artifactId>assets</artifactId>
    <packaging>war</packaging>

    <version>3.0.1-SNAPSHOT</version>
    <url>http://maven.apache.org</url>

    <scm>
        <connection>scm:git:git@gitlab.inria.fr:gazelle/library/assets.git</connection>
        <developerConnection>scm:git:git@gitlab.inria.fr:gazelle/library/assets.git</developerConnection>
        <tag>HEAD</tag>
        <url>https://gitlab.inria.fr/gazelle/library/assets</url>
    </scm>

    <properties>
        <messages.mode>crowdin</messages.mode>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>com.github.warmuuh</groupId>
                <artifactId>libsass-maven-plugin</artifactId>
                <version>0.1.6-libsass_3.2.4</version>
                <executions>
                    <execution>
                        <phase>generate-resources</phase>
                        <goals>
                            <goal>compile</goal>
                        </goals>
                    </execution>
                </executions>
                <configuration>
                    <outputStyle>expanded</outputStyle>
                    <inputPath>${basedir}/src/main/sass/</inputPath>
                    <outputPath>${basedir}/target/gazelle-assets/resources/stylesheet</outputPath>
                </configuration>
            </plugin>
            <plugin>
                <groupId>net.ihe.gazelle</groupId>
                <artifactId>plugin</artifactId>
                <configuration>
                    <ignoredParamNames>
                        <ignoredParamName>popup_id</ignoredParamName>
                        <ignoredParamName>panel_id</ignoredParamName>
                        <ignoredParamName>openByDefault</ignoredParamName>
                        <ignoredParamName>styleClass</ignoredParamName>
                        <ignoredParamName>headerStyleClass</ignoredParamName>
                        <ignoredParamName>bodyStyleClass</ignoredParamName>
                        <ignoredParamName>footerStyleClass</ignoredParamName>
                        <ignoredParamName>id</ignoredParamName>
                        <ignoredParamName>dt_styleClass</ignoredParamName>
                        <ignoredParamName>dd_styleClass</ignoredParamName>
                    </ignoredParamNames>
                </configuration>
            </plugin>
        </plugins>
        <finalName>gazelle-assets</finalName>
    </build>
    
    <dependencies>
        <dependency>
            <groupId>javax.faces</groupId>
            <artifactId>javax.faces-api</artifactId>
	        <scope>provided</scope>
        </dependency>
	</dependencies>

    <repositories>
        <repository>
            <id>ihe-services</id>
            <name>IHE Services Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </repository>
    </repositories>
    <pluginRepositories>
        <pluginRepository>
            <id>ihe-services-plugins</id>
            <name>IHE Services Public Maven Repository Group</name>
            <url>https://gazelle.ihe.net/nexus/content/groups/public/</url>
            <layout>default</layout>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>never</updatePolicy>
            </releases>
            <snapshots>
                <enabled>true</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>
</project>
